cURL
curl --request GET \
--url https://api.helohq.com/templates/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Templates;
var template = await helo.Templates.Retrieve("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Templates.retrieve(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
template = client.templates.retrieve("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Templates.Retrieve(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.templates.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"mjml": "<string>",
"text": "<string>",
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Templates
Retrieve a template
Fetches the details and content of a specific template.
GET
/
templates
/
{id}
cURL
curl --request GET \
--url https://api.helohq.com/templates/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Templates;
var template = await helo.Templates.Retrieve("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Templates.retrieve(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
template = client.templates.retrieve("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Templates.Retrieve(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.templates.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"mjml": "<string>",
"text": "<string>",
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Opaque version, changing on every update. Pass it back as the version of an update to have the update rejected if the template has been modified in the meantime.